TYPOS3 Core - Feature #75161

Create uri and link viewhelper for Backend Modules
2016-03-17 16:10 - Ruud Silvrants

Status: Closed Start date: 2016-03-17
Priority: Should have Due date:

Assignee: Ruud Silvrants % Done: 100%
Category: Backend API Estimated time: 0.00 hour
Target version: 9.0

PHP Version: 7.0 Complexity:

Tags: Sprint Focus:

Description

Create a viewhelper for creating an uri / link to a backend module with additionally params.

e.g.
<f:be.uri.module name="web_ts" parameters="{id: 92}"/>

generates the link:
/typo3/index.php?M=web_ts&moduleToken=b6e9c9f?id=92

Related issues:
Related to TYPO3 Core - Bug #86576: Be.LinkViewHelper can not be used without... Closed

2018-10-05

Associated revisions

Revision fb905535 - 2017-12-09 22:48 - Ruud Silvrants
[FEATURE] Add uri/link to backend route ViewHelper

Since unified URL routing is in place for TYPO3 v9 now,
a new pair of linking to routes is added.

Change-Id: led1a67aee173a9a1dc00eaadc9676ded1276076f
Resolves: #75161

Releases: master

Reviewed-on: https://review.typo3.org/47306

Reviewed-by: Benni Mack <benni .or

Tested-by: Benni Mack <benni@typo3.org>

Tested-by: TYPO3com <no-reply@typo3.com>

Reviewed-by: Susanne Moog < nne.m .or
Tested-by: Susanne Moog <susanne.moog@typo3.org>

History

#1 - 2016-03-17 16:12 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0org/47306

#2 - 2016-03-17 16:13 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/47306

#3 - 2016-05-03 21:18 - Benni Mack

- Target version changed from 8.0 to 8.2

#4 - 2016-05-07 15:19 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/47306

#5 - 2016-06-20 15:17 - Gerrit Code Review
Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0org/47306

#6 - 2016-07-05 11:51 - Benni Mack

- Target version changed from 8.2 to 8.3

#7 - 2016-08-31 14:46 - Benni Mack

- Target version changed from 8.3 to 8.4

#8 - 2016-08-31 22:42 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/47306

#9 - 2016-09-02 21:36 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/47306

#10 - 2016-10-21 14:44 - Benni Mack

- Target version changed from 8.4 to 8.5

#11 - 2016-12-29 13:36 - Benni Mack

- Target version changed from 8.5 to 8.6

#12 - 2017-02-15 19:38 - Benni Mack
- Target version changed from 8.6 to 8 LTS

#13 - 2017-02-23 14:58 - Riccardo De Contardi
- Target version changed from 8 LTS to 9.0

#14 - 2017-07-31 14:15 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/47306

#15 - 2017-07-31 14:36 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0org/47306

#16 - 2017-07-31 15:06 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/47306

#17 - 2017-07-31 15:10 - Sascha Rademacher
Also consider: typo3/sysext/backend/Classes/ViewHelpers/ModuleLinkViewHelper.php

#18 - 2017-07-31 15:32 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/47306

#19 - 2017-12-09 21:12 - Gerrit Code Review

Patch set 11 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/47306

#20 - 2017-12-09 21:20 - Gerrit Code Review

Patch set 12 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/47306

#21 - 2017-12-09 22:30 - Gerrit Code Review

Patch set 13 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/47306
#22 - 2017-12-09 22:33 - Gerrit Code Review

Patch set 14 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/47306

#23 - 2017-12-09 22:34 - Gerrit Code Review

Patch set 15 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/47306

#24 - 2017-12-09 23:00 - Ruud Silvrants
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset tb905535b162a1817d2e29a088c19db85fc1422c.

#25 - 2018-10-02 11:18 - Benni Mack

- Status changed from Resolved to Closed

#26 - 2018-10-05 09:33 - Daniel Goerz
- Related to Bug #86576: Be.LinkViewHelper can not be used without arguments added
